package cn.cecep.talroad.service.effective;

import cn.cecep.talroad.domain.effective.ERmStationExceed;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.PcFactoryVo;
import cn.cecep.talroad.vo.effective.ERmStationInfo;
import cn.cecep.talroad.vo.effective.SEnvGasMonValueVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Date;
import java.util.List;

public interface ERmStationExceedService extends IService<ERmStationExceed>{


    int updateBatch(List<ERmStationExceed> list);

    int updateBatchSelective(List<ERmStationExceed> list);

    int batchInsert(List<ERmStationExceed> list);

    IPage<ERmStationInfo> selectListInfo(ERmStationInfo entity);

    EChartsVO changingTrends(List<String> stationIds, String contaminant, Date start, Date end);

    EChartsVO entChangingTrends(List<String> entIds, String contaminant, Date start, Date end);

    List<PcFactoryVo.MapPointVo> selectGasAndHaveData(Integer pageNum, Integer pageSize);

    EChartsVO selectEntPollution(String entId, Date start, Date end);

    List<SEnvGasMonValueVo> summaryOfCorporateEmissions(String entId, Date start, Date end);

    IPage<ERmStationInfo> selectStationList(ERmStationInfo entity);
}
